/*scss**********************************
  _ )  _ \  __|    \    |  /  _ \  _ \ _ _|   \ | __ __| __|
  _ \    /  _|    _ \   . <   __/ (   |  |   .  |    | \__ \
 ___/ _|_\ ___| _/  _\ _|\_\ _|  \___/ ___| _|\_|   _| ____/

Custom Breakpoints rules
***********************************/
$desktop-lg: 1280px;
$desktop: 1025px;
$tablet-lg: 1024px;
$tablet: 768px;
$mobile-lg: 480px;
$mobile: 320px;

/*scss**********************************
   \  |  _ \      \  | _ _| \ \  / _ _|   \ |   __| 
  |\/ |  |  |    |\/ |   |   >  <    |   .  | \__ \ 
 _|  _| ___/    _|  _| ___|  _/\_\ ___| _|\_| ____/ 

Media Queries mixins depending on breakpoints
***********************************/
@mixin bp($point, $point2:"") {
  @if $point == desktop-lg {
    @media (min-width: $desktop-lg) { @content ; }
  }
  @if $point == desktop {
    @media (min-width: $desktop) { @content ; }
  }
  @else if $point == tablet-lg {
    @media (min-width: $tablet-lg) { @content ; }
  }
  @else if $point == tablet {
    @media (min-width: $tablet) { @content ; }
  }
  @else if $point == mobile-lg {
    @media (min-width: $mobile-lg) { @content ; }
  }
  @else if $point == mobile {
    @media (min-width: $mobile) { @content ; }
  }
  @else {
    @media (min-width: $point) { @content ; }
  }
}